<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
TypeConverter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.config.TypeConverter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="TypeConverter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TypeConverter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html" title="class in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/XmlAttribute.html" title="enum in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/TypeConverter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TypeConverter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.config</FONT>
<BR>
Class TypeConverter&lt;IN extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,IA,RN extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,RA&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.config.TypeConverter&lt;IN,IA,RN,RA&gt;</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.57"><B>TypeConverter&lt;IN extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,IA,RN extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,RA&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>TypeConverter</code> contains methods to convert different type 
 dependent objects from one number type to another.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#TypeConverter(ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, boolean)">TypeConverter</A></B>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;originalType,
                           <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;originalZero,
                           <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;&nbsp;targetType,
                           <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;targetZero,
                           boolean&nbsp;allowMatrixRowScaling)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#TypeConverter(ch.javasoft.math.linalg.LinAlgOperations, ch.javasoft.math.linalg.LinAlgOperations, boolean)">TypeConverter</A></B>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;originalOps,
                           <A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;&nbsp;targetOps,
                           boolean&nbsp;allowMatrixRowScaling)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#convertCallback(ch.javasoft.polco.xenum.ExtremeRayCallback)">convertCallback</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#convertEvent(ch.javasoft.polco.xenum.ExtremeRayEvent)">convertEvent</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#convertPolyhedralCone(ch.javasoft.polco.PolyhedralCone)">convertPolyhedralCone</A></B>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/Converter.html" title="class in ch.javasoft.math.array">Converter</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#getConverter()">getConverter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html#isIdentityConverter()">isIdentityConverter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="TypeConverter(ch.javasoft.math.linalg.LinAlgOperations, ch.javasoft.math.linalg.LinAlgOperations, boolean)"><!-- --></A><H3>
TypeConverter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.62"><B>TypeConverter</B></A>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;originalOps,
                     <A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;&nbsp;targetOps,
                     boolean&nbsp;allowMatrixRowScaling)</PRE>
<DL>
</DL>
<HR>

<A NAME="TypeConverter(ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, ch.javasoft.polco.config.Arithmetic, ch.javasoft.util.numeric.Zero, boolean)"><!-- --></A><H3>
TypeConverter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.68"><B>TypeConverter</B></A>(<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;originalType,
                     <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;originalZero,
                     <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt;&nbsp;targetType,
                     <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;targetZero,
                     boolean&nbsp;allowMatrixRowScaling)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getConverter()"><!-- --></A><H3>
getConverter</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/array/Converter.html" title="class in ch.javasoft.math.array">Converter</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.71"><B>getConverter</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isIdentityConverter()"><!-- --></A><H3>
isIdentityConverter</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.74"><B>isIdentityConverter</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="convertCallback(ch.javasoft.polco.xenum.ExtremeRayCallback)"><!-- --></A><H3>
convertCallback</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.78"><B>convertCallback</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="convertEvent(ch.javasoft.polco.xenum.ExtremeRayEvent)"><!-- --></A><H3>
convertEvent</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.123"><B>convertEvent</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="convertPolyhedralCone(ch.javasoft.polco.PolyhedralCone)"><!-- --></A><H3>
convertPolyhedralCone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">RA</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/TypeConverter.html#line.134"><B>convertPolyhedralCone</B></A>(<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IN</A>,<A HREF="../../../../ch/javasoft/polco/config/TypeConverter.html" title="type parameter in TypeConverter">IA</A>&gt;&nbsp;original)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/TypeConverter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/PolcoConfig.html" title="class in ch.javasoft.polco.config"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/XmlAttribute.html" title="enum in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/TypeConverter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TypeConverter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
